#!/bin/sh
#
# Component: repositoryhandler
#
# Description: lists files/dirs in a given repository for 'ctrl backup' calls
#
# usage: listBackup.sh <repository> <backupType>
#	backupType may be "full", "data" or "config"
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

if [  -z "$1" -o -z "$2" ] ; then
    exit 1
fi

if [ ! -d "$1" ] ; then
    exit 1
fi

if [ "$2" = "full" ] ; then
    echo "$1"
    legacyDir=`cat $1/repository.cfg |grep legacyDir=`
    if [ $? -eq 0 ] ; then
		legacyDir=`echo "$legacyDir" |sed 's/legacyDir=//g'|sed 's/"//g'`
		echo ${legacyDir#$HOME/}
    fi
    exit 0
fi

if [ "$2" = "config" ] ; then
    find "$1" -maxdepth 1 -name 'repository.cfg'
    find "$1" -maxdepth 2 -name 'repositorypart.cfg'
    exit 0
fi

if [ "$2" = "data" ] ; then
    mounts=`cat $1/repository.cfg |grep mountPoints=`
    if [ $? -ne 0 ] ; then
		# single mount repository
		for res in `ls $1` ; do
	    	if [ "$res" = "repository.cfg" -o "$res" = "repositorypart.cfg" ] ; then
				continue
	    	fi
		    echo "${1#$HOME/}/$res"
		done
    else
        mounts=`echo "$mounts"|sed 's/mountPoints=//g'|sed 's/"//g'|sed 's/[.\.]/ /g'`
		for mount in $mounts ; do
		    for res in `ls $1/$mount` ; do
    			if [ "$res" = "repositorypart.cfg" ] ; then
		    		continue
				fi
				echo "${1#$HOME/}/$mount/$res"
	    	done
		done
    fi
    legacyDir=`cat $1/repository.cfg |grep legacyDir=`
    if [ $? -eq 0 ] ; then
		legacyDir=`echo "$legacyDir" |sed 's/legacyDir=//g'|sed 's/"//g'`
		echo ${legacyDir#$HOME/}
    fi
fi
